# Run tests in check section
%bcond_without check

# https://github.com/shirou/gopsutil
%global goipath         github.com/shirou/gopsutil
Version:                2.19.03

%global common_description %{expand:
Psutil for golang.}

%gometa

Name:    %{goname}
Release: 1%{?dist}
Summary: Psutil for golang
License: BSD
URL:     %{gourl}
Source:  %{gosource}

BuildRequires:  golang(golang.org/x/sys/unix)
# Tests
%if %{with check}
BuildRequires:  golang(github.com/stretchr/testify/assert)
%endif

%description
%{common_description}


%package    devel
Summary:    %{summary}

%description devel
%{common_description}

This package contains the source code needed for building packages that import
the %{goipath} Go namespace.


%prep
%forgeautosetup


%install
%goinstall


%if %{with check}
%check
%gochecks
%endif


%files devel -f devel.file-list
%license LICENSE
%doc README.rst


%changelog
* Tue Apr 02 15:42:16 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 2.19.03-1
- Release 2.19.03 (#1694755)

* Sun Mar 17 2019 Robert-André Mauchin <zebob.m@gmail.com> - 2.19.02-1
- Release 2.19.02 (#1689419)

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.18.05-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.18.05-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 28 2018 Robert-André Mauchin <zebob.m@gmail.com> - 2.18.05-1
- Bump to 2.18.05

* Wed May 02 2018 Robert-André Mauchin <zebob.m@gmail.com> - 2.18.04-1
- First package for Fedora

